
@media all {
	.infrastructure-nav {
		display: flex;
		flex-wrap: wrap;
		margin: 0 -10px 50px;
	}
	.infrastructure-nav__item {
		width: 16.666666%;
		display: flex;
		align-items: center;
		cursor: pointer;
		padding: 0 10px;
	}
	.infrastructure-nav__checkbox {
		display: none;
	}
	.infrastructure-nav__icon {
		display: inline-flex;
		align-items: center;
		justify-content: center;
		text-align: center;
		font-size: 25px;
		width: 2em;
		height: 2em;
		color: #fff;
		border-radius: 50%;
		position: relative;
		overflow: hidden;
	}
	.infrastructure-nav__icon i {
		display: block;
		position: relative;
	}
	.infrastructure-nav__text {
		font-size: 14px;
		text-transform: uppercase;
		font-weight: 700;
		margin-left: 8px;
		text-align: center;
		line-height: 1.2;
	}

	/*hover*/
	html.bx-no-touch .infrastructure-nav__item:hover .infrastructure-nav__icon:before {
		content: '';
		position: absolute;
		top: 0;
		bottom: 0;
		left: 0;
		right: 0;
		background-color: rgba(0, 0, 0, 0.3);
	}

	/*checked*/
	.infrastructure-nav__checkbox:not(:checked) + .infrastructure-nav__icon {
		background-color: #c2c2c2 !important;
	}
	.infrastructure-nav__checkbox:not(:checked) + .infrastructure-nav__icon + .infrastructure-nav__text {
		color: #999999;
	}

	#infrastructure-map {
		height: 500px;
	}
}
@media (max-width: 1320px) {
	.infrastructure-nav__item {
		flex-direction: column;
	}
	.infrastructure-nav__text {
		margin-top: 6px;
		margin-left: 0;
	}
}
@media (max-width: 1023px) {
	.infrastructure-nav__text {
		font-size: 12px;
	}
	.infrastructure-nav {
		margin-bottom: 20px;
	}
}
@media (max-width: 767px) {
	.infrastructure-nav {
		justify-content: center;
	}
	.infrastructure-nav__item {
		width: auto;
	}
	.infrastructure-nav__text {
		display: none;
	}
}
@media (max-width: 479px) {
	.infrastructure-nav {
		margin-left: -5px;
		margin-right: -5px;
	}
	.infrastructure-nav__item {
		padding: 0 5px;
	}
	.infrastructure-nav__icon {
		font-size: 20px;
	}

	#infrastructure-map {
		height: 300px;
	}
}